Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.spi
Class EvictEvent

    java.lang.Object
      org.hibernate.event.spi.AbstractEvent
          org.hibernate.event.spi.EvictEvent

All Implemented Interfaces:
  Serializable

    public class EvictEvent

extends AbstractEvent

Defines an event class for the evicting of an entity.

See Also:
  Serialized Form

Constructor Summary
`EvictEvent(Object object, EventSource source)`

Method Summary
`Object` | `getObject()`
`void` | `setObject(Object object)`

Methods inherited from class org.hibernate.event.spi.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EvictEvent

    public EvictEvent(Object object,
                      EventSource source)

Method Detail

### getObject

    public Object getObject()

### setObject

    public void setObject(Object object)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.